org.apache.olingo.odata2.jpa.processor.api.access

## Class JPAFunction

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.access.JPAFunction

-     public class JPAFunction
      extends Object

  A container for JPA Functions. A JPA function can be
  1. Property Access method
  2. Custom Operation (Annotated with EDM Annotation FunctionImport)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAFunction(Method function, Class<?>[] parameterTypes, Type returnType, Object[] args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[]` | `getArguments()` The method returns an array of arguments for invoking the Java method.
    `Method` | `getFunction()` The method returns the Java method.
    `Class<?>[]` | `getParameterTypes()` The method returns the parameter types for the Java method.
    `Type` | `getReturnType()` The method returns the return type for the Java method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JPAFunction

          public JPAFunction(Method function,
                             Class<?>[] parameterTypes,
                             Type returnType,
                             Object[] args)

  - ### Method Detail

    - #### getFunction

          public Method getFunction()

      The method returns the Java method.
      Returns:
        an instance of `Method`

    - #### getParameterTypes

          public Class<?>[] getParameterTypes()

      The method returns the parameter types for the Java method.
      Returns:
        an array of type `Class`

    - #### getReturnType

          public Type getReturnType()

      The method returns the return type for the Java method.
      Returns:
        an instance of `Type`

    - #### getArguments

          public Object[] getArguments()

      The method returns an array of arguments for invoking the Java method.
      Returns:
        an array of Objects

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.